<div fxLayout="column" fxFlex fxLayoutGap="10px">

  <app-holder *ngIf="(neweOrders$ | async).length  <= 0"></app-holder>
  <div fxLayout="column" fxFlex fxLayoutGap="10px" style="padding: 10px 4px 0px 4px;">
    <ng-container *ngFor="let order of (neweOrders$ | async); let i=index">
      <div style="border-radius: 5px; padding-left: 5px; width: 100%; box-shadow: -6px 3px 13px -1px rgba(0,0,0,0.25);"
        fxLayout="row" fxLayoutAlign="space-between">
        <div fxLayout="row" fxLayoutGap="15px" style=" padding:10px; cursor: pointer " (click)="openOrder(order)"
          fxLayoutAlign="space-between center">
          <span
            style="font-size: 1.4em;font-weight: bold; padding: 2px; color: darkslategray">{{order.order_code}}</span>
          <span style="font-size: 1em;color: rgb(38 ,77 ,59)">
            {{order.order_number.split('-')[0]}} </span>
        </div>
        <ng-container *ngIf="showLoading !== i">
          <div *ngIf="order.status === 'ready' "
            style="border-radius: 0px 4px 4px 0px; width: 80px; background-color: rgb( 36,208,109);"
            (click)="openOrder(order)" fxLayout fxLayoutAlign="center center">
            <svg style=" fill: white ;
                                                width: 30px;
                                                height: 30px;">
              <use xlink:href="assets/icons/d.svg#icon-1"></use>
            </svg>
          </div>

          <div *ngIf="order.status !== 'ready' " (click)="orderReady(order, i)"
            style=" cursor: pointer; height:40px;  border-radius: 8px; margin:7px 5px 3px 0px;  width: 160px; background-color: rgb( 36,208,109);"
            fxLayout fxLayoutAlign="center center">
            <span style="color:white; font-size: 1em">{{ 'READY_ORDER' | translate }}</span>
          </div>
        </ng-container>
        <div id="loader" *ngIf="showLoading === i"></div>
      </div>
    </ng-container>
  </div>
  <app-bottom fxFlexAlign="flex-end flex-end" [solde]="storeSold"></app-bottom>

</div>